io.vertx.ext.auth.oauth2.providers

## Interface KeycloakAuth

-     public interface KeycloakAuth

  Simplified factory to create an `OAuth2Auth` for Keycloak.
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject config)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, JsonObject config, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, OAuth2FlowType flow, JsonObject config)` Create a OAuth2Auth provider for Keycloak
    `static OAuth2Auth` | `create(Vertx vertx, OAuth2FlowType flow, JsonObject config, HttpClientOptions httpClientOptions)` Create a OAuth2Auth provider for Keycloak

- - ### Method Detail

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   JsonObject config)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `config` - the json config file exported from Keycloak admin console

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   OAuth2FlowType flow,
                                   JsonObject config)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `flow` - the oauth2 flow to use
        `config` - the json config file exported from Keycloak admin console

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   JsonObject config,
                                   HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `config` - the json config file exported from Keycloak admin console
        `httpClientOptions` - custom http client options

    - #### create

          static OAuth2Auth create(Vertx vertx,
                                   OAuth2FlowType flow,
                                   JsonObject config,
                                   HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for Keycloak
      Parameters:
        `flow` - the oauth2 flow to use
        `config` - the json config file exported from Keycloak admin console
        `httpClientOptions` - custom http client options

Copyright © 2018 Eclipse. All rights reserved.